Bug 434695 - system-config-display gives error, doesn't run
system-config-display gives error, doesn't run
Status: CLOSED DUPLICATE of bug 493680
Product: Fedora
Classification: Fedora
Component: system-config-display (Show other bugs)
13
x86_64 Linux
high Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-24 10:48 EST by udo
Modified: 2010-11-05 10:02 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-05 01:08:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
When I run system-config-display I now get these errors (131.51 KB, text/plain)
2008-12-08 09:43 EST, udo
no flags Details

  None (edit)
Description udo 2008-02-24 10:48:04 EST
Description of problem:
system-config-display gives error, doesn't run


Version-Release number of selected component (if applicable):
1.0.51-4

How reproducible:

Steps to Reproduce:
1. Install F8 (on x86_64system w/ ATI HD2600PRO card, dual screens) 
2. run system-config-display in terminal
3. see output
  
Actual results:

# system-config-display
Traceback (most recent call last):
  File "/usr/share/system-config-display/xconf.py", line 381, in <module>
    dialog = xConfigDialog.XConfigDialog(hardware_state, xconfig,
rhpxl.videocard.VideoCardInfo())
  File "/usr/share/system-config-display/xConfigDialog.py", line 646, in __init__
    self.xml.get_widget("secondMonitorLabel").set_text(monitor_list[1].modelname)
TypeError: GtkLabel.set_text() argument 1 must be string, not None

Expected results:
Usable system config tool for display

Additional info: I started system-config-display to see if that could help
getting my dual head to work (I have entered bugs for Gnome and Xorg as a result
for this quest)
Comment 1 udo 2008-02-25 09:59:45 EST
system-config-display *does* run on my other (very similar) system with just one
monitor. Same radeonhd driven card, same board.
Comment 2 udo 2008-02-25 11:27:15 EST
Started up with the 2nd monitor disconnected I get the same error.
Comment 3 Thomas Wehrle 2008-07-18 16:26:21 EDT
I have reproduced this error on my system (only with one screen) by editing the 
xorg.conf.
I copied the monitor0 section and deleted the line with ModelName. 
Now I get this error message. 

Can you check the monitor section in your xorg.conf?

I hope my comment will help.
Comment 4 subrahmanyam 2008-09-16 12:40:31 EDT
hi all,
i am using fedora 9 and recently configured dual head using xrandr.
the following is my xorg.conf:
http://pastebin.com/m79a60c01

i am also getting the same error, when tried 'system-config-display'...

what could be the problem?
Comment 5 Bug Zapper 2008-11-26 04:55:47 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 udo 2008-11-26 11:22:32 EST
What info do you need to fix this bug?
We are entering the fedora 10 era...
Comment 7 Matěj Cepl 2008-11-26 17:44:07 EST
Just whether you are able to reproduce the issue with F9, F10 or Rawhide.
Comment 8 udo 2008-11-28 11:22:13 EST
My dual screen machine is down at the moment but I'll try to resurrect it this weekend and check this issue.
Comment 9 udo 2008-11-30 03:28:54 EST
Sorry need new parts to revive the dual screen system. Can take a few days.
Comment 10 udo 2008-12-07 07:40:44 EST
System is back up again. Update to F10 is on the way. When finished I'll do the test.
Comment 11 udo 2008-12-08 09:43:48 EST
Created attachment 326134 [details]
When I run system-config-display I now get these errors

When I run system-config-display I now get these errors
Comment 12 udo 2008-12-08 10:05:00 EST
After (re)installing some dbus rpms I now get:

Traceback (most recent call last):
  File "/usr/share/system-config-display/xconf.py", line 376, in <module>
    dialog = xConfigDialog.XConfigDialog(hardware_state, xconfig, rhpxl.videocard.VideoCardInfo())
  File "/usr/share/system-config-display/xConfigDialog.py", line 665, in __init__
    self.xml.get_widget("secondMonitorLabel").set_text(monitor_list[1].modelname)
TypeError: GtkLabel.set_text() argument 1 must be string, not None
Comment 13 udo 2008-12-08 10:30:06 EST
xorg.conf:

# Xorg configuration created by pyxf86config

Section "ServerLayout"
	Identifier     "Default Layout"
	Screen      0  "Screen0" 0 0
	InputDevice    "Keyboard0" "CoreKeyboard"
	Option      "Xinerama" "off"
EndSection

Section "InputDevice"
	Identifier  "Keyboard0"
	Driver      "kbd"
	Option	    "XkbModel" "pc105"
	Option	    "XkbLayout" "us+inet"
EndSection

Section "Monitor"
        Identifier  "Philips1"
        Option      "DPMS"
#	Option      "Position" "0 0"
	Option      "LeftOf" "Philips2"
EndSection

Section "Monitor"
        Identifier  "Philips2"
        Option      "DPMS"
#	Option      "RightOf" "Philips1"
#	Option      "Position" "1280 0"
EndSection

Section "Device"
	Identifier  "Videocard0"
	Driver      "radeonhd"
	Option	    "Monitor-DVI-I_1/analog" "Philips1"
	Option	    "Monitor-DVI-I_2/analog" "Philips2"
	Option      "RROutputOrder" "DVI-I_1/analog"
EndSection

Section "Screen"
	Identifier "Screen0"
	Device     "Videocard0"
	DefaultDepth     24
	SubSection "Display"
		Depth     24
		Virtual   2560 1024
		Viewport  0 0
	EndSubSection
EndSection

Section "ServerFlags"
        Option "Xinerama" "false"
        Option  "AllowEmptyInput" "False"
EndSection
Comment 14 Graham Campbell 2008-12-11 16:28:56 EST
After recent dbus update, this fails on both Fedora 9 and 10.
Comment 15 Bug Zapper 2009-11-18 02:49:01 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 16 Bug Zapper 2010-04-27 07:55:35 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 17 Ankur Sinha (FranciscoD) 2010-11-05 01:08:16 EDT

*** This bug has been marked as a duplicate of bug 493680 ***
Comment 18 udo 2010-11-05 10:02:51 EDT
Why on earth mark this as a duplicate of a newer/younger bug?
It shows how much attention this bug got.

Note You need to log in before you can comment on or make changes to this bug.